# JSON Templates

{% hint style="info" %}
If you would like to register the jsonId standard in this document and notify others, please apply through <moe@onnano.co>.
{% endhint %}

MOE TCG NFT adheres to the standards set forth by OpenSea to ensure compatibility with other platforms.

## Character Database

This serves as the fundamental unit of the onnanoco Character Database, and in order to register in the onnanoco Character DB, one must adhere to this template protocol.

* jsonId : **0xd88f250c**

{% tabs %}
{% tab title="JSON structure" %}

```
{
    "name":string,
    "description":string,
    "image":string,
    "attributes":[
        {
            "trait_type":"profile_image",
            "value":string
        },
        {
            "trait_type":"type",
            "value":string
        },
        {
            "trait_type":"gender",
            "value":string
        },
        {
            "trait_type":"birthday",
            "value":string
        },
        {
            "trait_type":"birthyear",
            "value":integer
        },
        {
            "trait_type":"eye_color",
            "value":string
        },
        {
            "trait_type":"ear",
            "value":string
        },
        {
            "trait_type":"hair_color",
            "value":string
        },
        {
            "trait_type":"hair_style",
            "value":string
        },
        {
            "trait_type":"hair_length",
            "value":string
        },
        {
            "trait_type":"blood",
            "value":string
        },
        {
            "trait_type":"height",
            "value":fraction
        },
        {
            "trait_type":"weight",
            "value":fraction
        },
        {
            "trait_type":"bust",
            "value":integer
        },
        {
            "trait_type":"waist",
            "value":integer,
        },
        {
            "trait_type":"hip",
            "value":integer,
        }  
    ]
}
```

{% endtab %}

{% tab title="Sample" %}

{% endtab %}
{% endtabs %}

### name

* Enter the character's name in the language used in the original work.

### image

* use a square image
* displayable in a web browser
* width and height are not exceeding 1000px

### profile\_image

* use a square image
* displayable in a web browser
* width and height are not exceeding 200px

### type

* enter the character type in English

<table><thead><tr><th width="226.5">value</th><th>description</th></tr></thead><tbody><tr><td>human</td><td></td></tr><tr><td>android</td><td></td></tr><tr><td>angel</td><td></td></tr><tr><td>dark elf</td><td></td></tr><tr><td>dark human</td><td></td></tr><tr><td>demon</td><td></td></tr><tr><td>dragon</td><td></td></tr><tr><td>dwarf</td><td></td></tr><tr><td>elf</td><td></td></tr><tr><td>furry</td><td></td></tr><tr><td>goblin</td><td></td></tr><tr><td>god</td><td></td></tr><tr><td>orge</td><td></td></tr><tr><td>spirit</td><td></td></tr><tr><td>vampire</td><td></td></tr><tr><td>unknown</td><td>If it's not accurately disclosed, please enter it as unknown.</td></tr></tbody></table>

### gender

| value    | description |
| -------- | ----------- |
| female   |             |
| male     |             |
| neuter   |             |
| intersex |             |
| unknown  |             |

### birthday

* Enter the birthday without the year in the 'MM-DD' format.
* If the date of birth is not clear, please enter it as "00-00".


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.onnano.co/moe-trading-card/json-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
